> For the complete documentation index, see [llms.txt](https://docs.flexikanban.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flexikanban.ai/references/handlers/form-api-handler-types.md).

# Form API Handler Types

### Overview

Form API handler types interact with operations defined inside a Flexi Kanban Form. They are configured as the `type` field in a Handler.

See Handlers for the full Handler model and where handlers are configured. See Form Studio for how Forms and their Actions are built.

***

### Execute Form Action

Executes a Flexi Kanban Action that is defined inside a Form in Form Studio. This type is used within Form context — on form elements or form global events — to trigger form-scoped backend operations.

#### Parameters

| Parameter  | Required | Description                                                      |
| ---------- | -------- | ---------------------------------------------------------------- |
| `actionId` | Yes      | The ID of the Form Action to execute, as defined in Form Studio. |

#### Example

json

```json
{
  "type": "executeFormAction",
  "config": {
    "actionId": "form_action_save_and_close"
  }
}
```

***

### Related Articles

* Handlers
* Form Studio
* Actions and Action Groups


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flexikanban.ai/references/handlers/form-api-handler-types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
